This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 812331 - Drift Function is not working many times
Drift Function is not working many times
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
unspecified
Unspecified Linux
urgent Severity urgent (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
: 818773 (view as bug list)
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-04-13 08:26 EDT by Jeeva Kandasamy
Modified: 2013-09-02 03:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:14:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
agent-server logs (151.15 KB, application/x-gzip)
2012-04-13 08:26 EDT, Jeeva Kandasamy
no flags Details
snapshots image (44.57 KB, image/jpeg)
2012-05-01 16:33 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Jeeva Kandasamy 2012-04-13 08:26:56 EDT
Created attachment 577317 [details]
agent-server logs

Description of problem:
Drift feature is not working as we expect. It's working rarely. But most of the time it's not working. It's happening from Mar-2012. 

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 472e72f
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
99%

Steps to Reproduce:
1.Do fresh install of RHQ Server and agent(clean DB also, I didn't try with upgrade installation)
2.Start Server and agent (import resources also)
3.Navigate to 'Platforms' and select a Linux platform
4.select the tab 'Drift'
5.create new drift with 'fileSystem'--> /opt/rhq/rhq-agent
6.selected interval as 60 seconds
7.Includes dir 'logs' and lease as it's Excludes. 
8.Save it and run 'Detect Now'
9.getting info log on agent but nothing happen

2012-04-13 17:13:47,196 INFO  [WorkerThread#0[10.65.201.40:51968]] (rhq.core.pc.drift.DriftManager)- Received request to schedule drift detection immediately for [resourceId: 10001, driftDefinitionId: 10021, driftDefinitionName: agent log monitor]
  
Actual results:
Drift feature is not working as expected

Expected results:
Should work as we designed

Note: Seems existing drift(s) are not scheduled in agent if we restart the agent 
---------
2012-04-13 17:43:59,608 INFO  [WorkerThread#0[10.65.201.40:34783]] (rhq.core.pc.drift.DriftManager)- Received request to schedule drift detection immediately for [resourceId: 10001, driftDefinitionId: 10021, driftDefinitionName: agent log monitor]
2012-04-13 17:43:59,608 WARN  [WorkerThread#0[10.65.201.40:34783]] (rhq.core.pc.drift.DriftManager)- No schedule found in the queue for [resourceId: 10001, driftDefinitionId: 10021, driftDefinitionName: agent log monitor]. No  work will be scheduled.
---------

Additional info: agent and server logs are attached.
Comment 1 John Mazzitelli 2012-05-01 16:33:34 EDT
Created attachment 581474 [details]
snapshots image

i tried this and its all working for me. I did a Detect Now, and immediately got a snapshot. I tried several minutes later, again with Detect Now, and again immediately got another snapshot. See attached screenshot.
Comment 2 John Mazzitelli 2012-05-01 16:45:12 EDT
(In reply to comment #1)
> Created attachment 581474 [details]
> snapshots image
> 
> i tried this and its all working for me. I did a Detect Now, and immediately
> got a snapshot. I tried several minutes later, again with Detect Now, and again
> immediately got another snapshot. See attached screenshot.

OK, I shutdown and restarted the agent (did NOT do a --cleanconfig). And I do not see additional drift being detected (which I assume should be, because the agent log file should at least change as the agent logs startup messages).
Comment 3 John Mazzitelli 2012-05-02 15:01:21 EDT
git commit to master:
   69d90a894da28e2dcbce262b6823cc0655da4ce4 (this fixes the bug)
   7be2f043a25568f5cda38f7f32680e22165bdb2e (this adds drift info to the inventory --xml output for help in debugging issues like this)
Comment 4 John Mazzitelli 2012-05-03 21:17:57 EDT
*** Bug 818773 has been marked as a duplicate of this bug. ***
Comment 6 Mike Foley 2012-05-11 15:42:05 EDT
This is verified in JON 3.1 ER3 BETA CANDIDATE
Comment 7 Heiko W. Rupp 2013-09-02 03:14:31 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.